/*
 * @Descripttion:
 * @Author: kcz
 * @Date: 2021-05-02 16:04:02
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-04-14 11:42:33
 */
import "core-js/stable";
import 'regenerator-runtime/runtime'
import permission from './directive/permission'
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
Vue.use(permission)
import Vue from "vue";
import App from "./App.vue";
import router from "./router/";
import { notification } from 'ant-design-vue'
import './permission'
import './core/lazy_use'
import './components/global.less'
import bootstrap from './core/bootstrap'
import {
  VueAxios
} from '../packages/utils/axios'
import axios from 'axios'
// moment
import moment from 'moment'
Vue.prototype.$moment = moment

window.axios = axios
Vue.prototype.$axios = axios
Vue.use(VueAxios, axios)
Vue.use(VueAxios)

import KFormDesign from "../packages/index";
Vue.use(KFormDesign);

import FormConfigList from "../packages/index";
Vue.use(FormConfigList);
import GridConfigList from "../packages/index";
Vue.use(GridConfigList);

import GenCode from "../packages/index";
Vue.use(GenCode);
import OperatePanel from "../packages/index";
Vue.use(OperatePanel);
import FormDesign from "../packages/index";
Vue.use(FormDesign);











Vue.config.productionTip = false;
Vue.prototype.EventBus = new Vue()
Vue.prototype.$notification = notification
import store from './store/'
new Vue({
  router,
  store,
  created: bootstrap,
  render: h => h(App)
}).$mount("#app");
